Subject: bug#50679: 28.0.50; outline-minor-mode-cycle should be able to only cycle at the begining of a line

From: Augusto Stoffel <[email-masked]>
Date: Tue, 21 Sep 2021 21:02:10 +0200

On Tue, 21 Sep 2021 at 11:58, Philip Kaludercic <[email-masked]> wrote:

> Yes, but Juri is right that there is a more general issue that tab is
> never always appropriate. Just yesterday I ran into the edge-case of
> trying to indent a line inwards, and instead of indenting it folded the
> definition, because the line unintentionally began with outline-regexp.
>

Okay, this is not an issue for me, but if it happens to you, then it
will happen to other people as well.

>> So I think it's actually the _same_ functionality, and only the naming
>> doesn't reflect that.  To put it in a slightly different way, there
>> would be no need for a `outline-mode-cycle-map' if something called
>> `outline-speed-keys-map' (a keymap installed only at column 0 of
>> heading lines) existed.
>
> How about both? If you just want to press tab anywhere, use cycle, and
> otherwise use speed-keys? Or would that be overkill?

Well, menu items are a bit obscure but not too hard to use, actually.
So I would say that it only makes sense to attempt to provide some
built-in speed key functionality if it's easier to use and customize
than the existing alternative.